Details

    • Type: Bug
    • Status: Closed
    • Priority: High
    • Resolution: Fixed
    • Affects Version/s: Aptana Studio 3.0.6
    • Fix Version/s: Aptana Studio 3.0.7
    • Component/s: None
    • Labels:
    • Environment:

      Mac OS 10.6.8

      Description

      I just upgraded from 3.0.4 to 3.0.6 and all commands stopped working.

      [2011-11-10 11:28:22] An error occurred while processing the invoke block for the command Validate Snippets in /Applications/Aptana Studio 3/configuration/org.eclipse.osgi/bundles/319/1/.cp/bundles/bundle-development.ruble/commands/validate_snippets.rb: (NameError) cannot load Java class com.aptana.editor.common.scripting.snippets.CommandTemplate
      org.jruby.exceptions.RaiseException: (NameError) cannot load Java class com.aptana.editor.common.scripting.snippets.CommandTemplate

        Issue Links

          Activity

          Hide
          cwilliams Chris Williams added a comment -

          It is broken in 3.0.6, but appears to be working fine for me in 'release' (which is the branch for 3.0.7). Right now my guess is that this is some sort of classloading issue with JRuby 1.6.2 vs 1.6.4 (release has 1.6.4 which works fine).

          Show
          cwilliams Chris Williams added a comment - It is broken in 3.0.6, but appears to be working fine for me in 'release' (which is the branch for 3.0.7). Right now my guess is that this is some sort of classloading issue with JRuby 1.6.2 vs 1.6.4 (release has 1.6.4 which works fine).
          Hide
          cwilliams Chris Williams added a comment -

          Verified this works in a standalone off of 'release' branch. My assumption is that this simply was fixed by the JRuby upgrade from 1.6.2. to 1.6.4.

          Show
          cwilliams Chris Williams added a comment - Verified this works in a standalone off of 'release' branch. My assumption is that this simply was fixed by the JRuby upgrade from 1.6.2. to 1.6.4.
          Hide
          jwitt Joel Witt added a comment -

          Aptana Studio 3, build: 3.0.7.201111211816
          Virtual Machine with Windows XP

          Confirmed Commands > Bundle Development > Validate Snippets does not cause scripting console error in current version.

          Show
          jwitt Joel Witt added a comment - Aptana Studio 3, build: 3.0.7.201111211816 Virtual Machine with Windows XP Confirmed Commands > Bundle Development > Validate Snippets does not cause scripting console error in current version.

            People

            • Assignee:
              cwilliams Chris Williams
              Reporter:
              cwilliams Chris Williams
            • Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Development

                  Poker Sessions

                  This issue is currently not assigned to any Poker Session.